Package org.eclipse.mat.internal.snapshot.inspections

# Enum CompareTablesQuery.Mode

java.lang.Object
java.lang.Enum<CompareTablesQuery.Mode>
org.eclipse.mat.internal.snapshot.inspections.CompareTablesQuery.Mode

All Implemented Interfaces:
  `Serializable`, `Comparable<CompareTablesQuery.Mode>`, `java.lang.constant.Constable`

Enclosing class:
  CompareTablesQuery

public static enum CompareTablesQuery.Mode extends Enum<CompareTablesQuery.Mode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABSOLUTE`
`DIFF_RATIO_TO_FIRST`
`DIFF_RATIO_TO_PREVIOUS`
`DIFF_TO_FIRST`
`DIFF_TO_PREVIOUS`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static CompareTablesQuery.Mode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompareTablesQuery.Mode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ABSOLUTE

public static final CompareTablesQuery.Mode ABSOLUTE

### DIFF_TO_FIRST

public static final CompareTablesQuery.Mode DIFF_TO_FIRST

### DIFF_TO_PREVIOUS

public static final CompareTablesQuery.Mode DIFF_TO_PREVIOUS

### DIFF_RATIO_TO_FIRST

public static final CompareTablesQuery.Mode DIFF_RATIO_TO_FIRST

### DIFF_RATIO_TO_PREVIOUS

public static final CompareTablesQuery.Mode DIFF_RATIO_TO_PREVIOUS

## Method Details

### values

public static CompareTablesQuery.Mode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static CompareTablesQuery.Mode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<CompareTablesQuery.Mode>`